package intrinsic.mx.events;

public class SliderEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public int thumbIndex;
	public intrinsic.flash.events.Event triggerEvent;
	public double value;
	public int keyCode;
	public String clickTarget;

	/** Constants */
	public static final String THUMB_PRESS = "thumb_press";
	public static final String VERSION = "version";
	public static final String CHANGE = "change";
	public static final String THUMB_RELEASE = "thumb_release";
	public static final String THUMB_DRAG = "thumb_drag";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SliderEvent() {
}

public SliderEvent(String arg0) {
}

public SliderEvent(String arg0, boolean arg1) {
}

public SliderEvent(String arg0, boolean arg1, boolean arg2) {
}

public SliderEvent(String arg0, boolean arg1, boolean arg2, int arg3) {
}

public SliderEvent(String arg0, boolean arg1, boolean arg2, int arg3, double arg4) {
}

public SliderEvent(String arg0, boolean arg1, boolean arg2, int arg3, double arg4, intrinsic.flash.events.Event arg5) {
}

public SliderEvent(String arg0, boolean arg1, boolean arg2, int arg3, double arg4, intrinsic.flash.events.Event arg5, String arg6) {
}

public SliderEvent(String arg0, boolean arg1, boolean arg2, int arg3, double arg4, intrinsic.flash.events.Event arg5, String arg6, int arg7) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
